<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setProductMarketTA2](./bitburner.warehouseapi.setproductmarketta2.md)

## WarehouseAPI.setProductMarketTA2() method

Set Market-TA2 for a product.

**Signature:**

```typescript
setProductMarketTA2(divisionName: string, productName: string, on: boolean): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

productName


</td><td>

string


</td><td>

Name of the product


</td></tr>
<tr><td>

on


</td><td>

boolean


</td><td>

Use true to enable, false otherwise.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

